.TH ann_FF_init ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_init - initialize the weight hypermatrix.
.SH CALLING SEQUENCE
W = ann_FF_init(N[,r,rb])
.SH PARAMETERS
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector (and also target).
.TP
r
Two component row vector defining the smallest and the largest value
for initialization. Weights will be initialized with random numbers
between these two values.
.RS
.TP
r(1)
the lower limit
.TP
r(2)
the upper limit
.LP
This parameter is optional, default value is [-1,1].
.RE
.TP
rb
Same as r but for biases.

This parameter is optional, default value is [0,0], i.e. the biases
are initialized to zero.
.TP
W
The weight hypermatrix, in the format used by ann_FF_Std, ann_BP_run
and all other algorithms for feedforward nets (with biases).
.SH DESCRIPTION
This function builds the weight hypermatrix according to network
description N. Its format is detailed in ANN_FF.
.SH EXAMPLE
See examples/ann/encoder.sce in the home directory of your Scilab
installation for a full example.
.SH SEE ALSO
.TP
ANN
general overview of ANN toolbox.
.TP
ANN_FF
general overview of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
