.TH ann_FF_run ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_run_nb - run patterns trough a feedforward net (without bias).
.SH CALLING SEQUENCE
y = ann_FF_run_nb(x,N,W[,l,af])
.SH PARAMETERS
.TP
y
Matrix of outputs, one pattern per column. Each column have a
correspondent column in x.
.TP
x
Matrix of input patterns, one pattern per column
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector.
.TP
W
The weight hypermatrix (initialized first trough ann_BP_init_nb).
.TP
l
Defines the "injection" layer and the output layer.
x patterns are injected into layer l(1) as coming from layer l(1) - 1.
y outputs are collected from the outputs of layer l(2).

This parameter is optional, default value is [2,size(N,'c')],
i.e. the whole network.

Warning: l(1)=1 does not make sense.
.TP
af
String containing the name of activation function.
.sp
This parameter is optional, default value "ann_log_activ", i.e.
logistic activation function.
.SH DESCRIPTION
This function is used to run patterns trough a feedforward network
as defined by N and W.

This function is to be used on networks without biases.
.SH EXAMPLE
See examples/ann/encoder_nb.sce in the home directory of your Scilab
installation for a full example.
.SH SEE ALSO
.TP
ANN
general overview of ANN toolbox.
.TP
ANN_FF
general overview of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
