.TH ann_d_log_activ ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_d_log_activ - derivative of logistic activation function
.SH CALLING SEQUENCE
z = ann_d_log_activ(y)
.SH PARAMETERS
.TP
z
Matrix containing the derivative of activation, one pattern per
column. For each pattern (column):
.nf
     z(i) = y(i) * [1 - y(i)]

.fi
.TP
y
Matrix containing the current neuronal activation, one pattern per
column. For each pattern: each y(i) for the corresponding i-th neuron
(on the current layer).
.SH DESCRIPTION
This function is the derivative of default neuronal activation
function. Any other, user defined, function should have the same input
and output format for variables. Particularly note that the derivative
is expressed in terms of activation, not total neuronal input.
.SH SEE ALSO
.TP
ANN
general overview of ANN toolkit.
.TP
ANN_FF
general overview of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev
<r.hristev@phys.canterbury.ac.nz>
